	<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100069";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

	//////Arrastrando campos del Formulario 
		$CSkuPG=strtoupper($_POST['txt_SKU']) or $CSkuPG=strtoupper($_GET['txt_SKU']);
		$CalidadPG=strtoupper($_POST['txt_CveCalidad']) or strtoupper($CalidadPG=$_GET['txt_CveCalidad']);
		$PasiPG=strtoupper($_POST['txt_PASI']) or strtoupper($PasiPG=$_GET['txt_PASI']);
		$LadoPG=strtoupper($_POST['txt_CveLado']) or $LadoPG=strtoupper($_GET['txt_CveLado']);
		$XIniPG=strtoupper($_POST['txt_PosXIni']) or $XIniPG=strtoupper($_GET['txt_PosXIni']);
		$XFinPG=strtoupper($_POST['txt_PosXFin']) or $XFinPG=strtoupper($_GET['txt_PosXFin']);
		$YIniPG=strtoupper($_POST['txt_PosYIni']) or $YIniPG=strtoupper($_GET['txt_PosYIni']);
		$YFinPG=strtoupper($_POST['txt_PosYFin']) or $YFinPG=strtoupper($_GET['txt_PosYFin']);
		
			
			//////Validar campos en blanco////////////
		if ($CSkuPG=="")
			{ ////Inicia If 1
			echo "<script>alert('Debes seleccionar y/o digitar el Código SKU a parametrizar en Categoría de Almacenaje.\\nFavor de Corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If 1
			
		if ($CalidadPG=="")
			{ ////Inicia If 2
			echo "<script>alert('Debes seleccionar y/o digitar el Estado de Calidad a parametrizar en Categoría de Almacenaje.\\nFavor de Corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If 2
			
		if ($PasiPG=="")
			{ ////Inicia If 3
			echo "<script>alert('Debes seleccionar y/o digitar el Pasillo de la Ubicación a parametrizar en Categoría de Almacenaje.\\nFavor de Corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If 3
		
		if ($LadoPG=="")
			{ ////Inicia If 4
			echo "<script>alert('Debes seleccionar y/o digitar el Lado de la Ubicación a parametrizar en Categoría de Almacenaje.\\nFavor de Corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If 4
		
		if ($XIniPG=="")
			{ ////Inicia If 5
			echo "<script>alert('Debes Digitar la Posición Inicial en X para la Ubicación a parametrizar en Categoría de Almacenaje.\\nFavor de Corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If 5
		
		if ($XFinPG=="")
			{ ////Inicia If 6
			echo "<script>alert('Debes Digitar la Posición Final en X para la Ubicación a parametrizar en Categoría de Almacenaje.\\nFavor de Corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If 6
			
		if ($YIniPG=="")
			{ ////Inicia If 7
			echo "<script>alert('Debes Digitar la Posición Inicial en Y para la Ubicación a parametrizar en Categoría de Almacenaje.\\nFavor de Corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If 7
			
		if ($YFinPG=="")
			{ ////Inicia If 8
			echo "<script>alert('Debes Digitar la Posición Final en Y para la Ubicación a parametrizar en Categoría de Almacenaje.\\nFavor de Corroborarlo.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If 8
			
				///// Identificar si el Sku realmente existe/////
				$sqlCDI1 = mysql_query("select * from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$CSkuPG'");
				if (mysql_numrows($sqlCDI1)==0)
				{ ////Inicia If 9
					echo "<script>alert('El Código Sku digitado no existe dentro del Sistema.\\nFavor de Corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ ////Inicia Else 9
				
				///// Identificar si el Estado de Calidad realmente existe/////
				$sqlCDI2 = mysql_query("select * from tabla_estadosdecalidad WHERE CVE_CUENTA='$CveCueCR1' AND CVE_ESTADO='$CalidadPG'");
				if (mysql_numrows($sqlCDI2)==0)
				{ ////Inicia If 10
					echo "<script>alert('El Estado de Calidad digitado no existe dentro del Sistema.\\nFavor de Corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ ////Inicia Else 10
				
				///// Identificar si el Pasillo realmente existe/////
				$sqlCDI3 = mysql_query("select * from tabla_pasillo WHERE PASILLO='$PasiPG'");
				if (mysql_numrows($sqlCDI3)==0)
				{ ////Inicia If 11
					echo "<script>alert('El Pasillo digitado no existe dentro del Sistema.\\nFavor de Corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ ////Inicia Else 11
				
				///// Identificar si el Lado realmente existe/////
				$sqlCDI4 = mysql_query("select * from tabla_lado WHERE PASILLO='$PasiPG' AND LADO='$LadoPG'");
				if (mysql_numrows($sqlCDI4)==0)
				{ ////Inicia If 12
					echo "<script>alert('El Lado del Pasillo digitado no existe dentro del Sistema.\\nFavor de Corroborarlo.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ ////Inicia Else 12
				
					/////Variables de Conteo
					$CuentaRegExitosos = "0";
					$CuentaRegTotal = "0";

					//////Inicia el 1° Bucle//////
					////for ($X = 1; $X <= 10; $X++)
					$Conta = "0";
					for ($X = $XIniPG; $X <= $XFinPG; $X++)
					{ ////Inicia For 1
   					
						///echo $X;
						//////Inicia el 2° Bucle//////
						for ($Y = $YIniPG; $Y <= $YFinPG; $Y++)
						{ ////Inicia For 2
   							$Conta = $Conta + 1 ;
							$UbicFin = $PasiPG."-".$LadoPG."-".$X."-".$Y;
							
							///// Identificar si el codigo SKU ya fue asignado a esta ubicación/////
							$sqlCDI5 = mysql_query("select * from tabla_categoria_almacenamiento WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$CSkuPG' AND UBICACION='$UbicFin'");
							if (mysql_numrows($sqlCDI5)<>0)
							{ ////Inicia If 13
								
								///////GENERADOR DE FOLIO///////////
									$sqlID = "select max(ID) as ultimo_FOLIO from temporal_bitacora_catalma"; 
									$lib = mysql_query($sqlID); 
									$rs_lib = mysql_fetch_assoc($lib); 
									$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
					
									//////HORA y FECHA/////
									$Hora=time();
									$HoraOK=date("H:i:s",$Hora);
									$Fecha=date("Y/m/d");
			
									//////GUARDAR EL LA BD - temporal_bitacora_catalma//////////
									$sqlGC0 = "insert into temporal_bitacora_catalma (ID,CVE_BODEGA,CVE_CUENTA,SKU,CVE_UBICACION, MOTIVO_RECAZO,USUARIO_REG,FECHA,HORA)      	values('$id_nuevo','$CveBodCR1','$CveCueCR1','$CSkuPG','$UbicFin','El Código Sku Seleccionado ya se encuentra asignado en la ubcación deseada.','$UsuEn','$Fecha','$HoraOK')";
									$resultadoGC0=mysql_query($sqlGC0,$conexion) or die(mysql_error());
								
							}
							else
							{ ////Inicia Else 13
							
								///// Identificar si la ubicación existe en el catalogo e ubicaciones x medio de su clave/////
								$sqlIUR = mysql_query("select * from tabla_ubicaciones WHERE CUENTA='$CveCueCR1' AND CLAVEUBICACION='$UbicFin'");
								if (mysql_numrows($sqlIUR)==0)
								{ ////Inicia If 14
								
									///////GENERADOR DE FOLIO///////////
									$sqlID = "select max(ID) as ultimo_FOLIO from temporal_bitacora_catalma"; 
									$lib = mysql_query($sqlID); 
									$rs_lib = mysql_fetch_assoc($lib); 
									$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
					
									//////HORA y FECHA/////
									$Hora=time();
									$HoraOK=date("H:i:s",$Hora);
									$Fecha=date("Y/m/d");
			
									//////GUARDAR EL LA BD - temporal_bitacora_catalma//////////
									$sqlGC0 = "insert into temporal_bitacora_catalma (ID,CVE_BODEGA,CVE_CUENTA,SKU,CVE_UBICACION, MOTIVO_RECAZO,USUARIO_REG,FECHA,HORA)      	values('$id_nuevo','$CveBodCR1','$CveCueCR1','$CSkuPG','$UbicFin','La ubicación deseada no se encuentra dada de alta dentro del Catálogo de Ubicaciones.','$UsuEn','$Fecha','$HoraOK')";
									$resultadoGC0=mysql_query($sqlGC0,$conexion) or die(mysql_error());
								
								}
								else
								{ ////Inicia Else 14
									$CuentaRegTotal=$CuentaRegTotal+1;
								} ////Termina If 14
							
							} ////Termina If 13
						
						$CuentaRegExitosos=$CuentaRegExitosos+1;
						
						} ////Termina For 2
					} ////Termina For 1
				
				
//////&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&//////
/////////////// Identificar si se va a guardar el registro o no ///////////////

					 if ($CuentaRegExitosos<>$CuentaRegTotal)			
						{ ///// Inicia If Validador de Proceso
							echo "<script>alert('ERROR.\\n\\nExiste inconsistencia en los Datos proporcionados.\\nFavor de verificar la bitacota.'); </script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-BitacoraCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
						}
						else
						{ ///// Inicia Else Validador de Proceso
						
							//////Inicia el 1° Bucle//////
							////for ($X = 1; $X <= 10; $X++)
							$Conta2 = "0";
							for ($X2 = $XIniPG; $X2 <= $XFinPG; $X2++)
							{ ////Inicia For 1

								//////Inicia el 2° Bucle//////
								for ($Y2 = $YIniPG; $Y2 <= $YFinPG; $Y2++)
								{ ////Inicia For 2
   								$Conta2 = $Conta2 + 1 ;
								$UbicFin2 = $PasiPG."-".$LadoPG."-".$X2."-".$Y2;
								
								///////GENERADOR DE FOLIO///////////
								$sqlID = "select max(ID) as ultimo_FOLIO from tabla_categoria_almacenamiento"; 
								$lib = mysql_query($sqlID); 
								$rs_lib = mysql_fetch_assoc($lib); 
								$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
					
								//////HORA y FECHA/////
									$Hora=time();
									$HoraOK=date("H:i:s",$Hora);
									$Fecha=date("Y/m/d");
			
								//////GUARDAR EL LA BD - tabla_categoria_almacenamiento//////////
								$sqlGC = "insert into  tabla_categoria_almacenamiento (ID,CVE_BODEGA,CVE_CUENTA,SKU,EDO_CALIDAD, PASILLO,LADO,POS_X,POS_Y,UBICACION,USUARIO_REG,FECHA,HORA)      
								values ('$id_nuevo','$CveBodCR1','$CveCueCR1','$CSkuPG','$CalidadPG','$PasiPG','$LadoPG','$X2','$Y2','$UbicFin2','$UsuEn','$Fecha','$HoraOK')";
								$resultadoGC=mysql_query($sqlGC,$conexion) or die(mysql_error());
																		
								} ////Termina For 2
							} ////Termina For 1		
						
							echo "<script>alert('CONFIGURACIÓN REGISTRADA CORRECTAMENTE.'); </script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=57-RegistroCategoriaAlmacenamiento.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI'>";
							
						} ///// Termina Else Validador de Proceso			
				
			} ////Termina If 12
			} ////Termina If 11
			} ////Termina If 10
			} ////Termina If 9
			} ////Termina If 8
			} ////Termina If 7
			} ////Termina If 6
			} ////Termina If 5
			} ////Termina If 4
			} ////Termina If 3
			} ////Termina If 2
			} ////Termina If 1
			
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>